org.jgrapht.alg.isomorphism

## Class VF2GraphIsomorphismInspector<V,E>

- java.lang.Object
- - org.jgrapht.alg.isomorphism.VF2AbstractIsomorphismInspector<V,E>
  - - org.jgrapht.alg.isomorphism.VF2GraphIsomorphismInspector<V,E>

- Type Parameters:
    `V` - the type of the vertices
    `E` - the type of the edges
  All Implemented Interfaces:
    IsomorphismInspector<V,E>

      public class VF2GraphIsomorphismInspector<V,E>
      extends VF2AbstractIsomorphismInspector<V,E>

  This is an implementation of the VF2 algorithm using its feature of detecting isomorphism between two graphs as described in Cordella et al. A (sub)graph isomorphism algorithm for matching large graphs (2004), DOI:10.1109/TPAMI.2004.75, http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=1323804

- - ### Field Summary

    - ### Fields inherited from class org.jgrapht.alg.isomorphism.VF2AbstractIsomorphismInspector

      `edgeComparator, graph1, graph2, ordering1, ordering2, vertexComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VF2GraphIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2)`
    `VF2GraphIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2, boolean cacheEdges)`
    `VF2GraphIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2, Comparator<V> vertexComparator, Comparator<E> edgeComparator)`
    `VF2GraphIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2, Comparator<V> vertexComparator, Comparator<E> edgeComparator, boolean cacheEdges)` This implementation of the VF2 algorithm does not support graphs with multiple edges.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgrapht.alg.isomorphism.VF2GraphMappingIterator<V,E>` | `getMappings()`

    - ### Methods inherited from class org.jgrapht.alg.isomorphism.VF2AbstractIsomorphismInspector

      `isomorphismExists`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VF2GraphIsomorphismInspector

          public VF2GraphIsomorphismInspector(Graph<V,E> graph1,
                                      Graph<V,E> graph2,
                                      Comparator<V> vertexComparator,
                                      Comparator<E> edgeComparator,
                                      boolean cacheEdges)

      This implementation of the VF2 algorithm does not support graphs with multiple edges.
      Parameters:
        `graph1` - the first graph
        `graph2` - the second graph
        `vertexComparator` - comparator for semantic equivalence of vertices
        `edgeComparator` - comparator for semantic equivalence of edges
        `cacheEdges` - if true, edges get cached for faster access

    - #### VF2GraphIsomorphismInspector

          public VF2GraphIsomorphismInspector(Graph<V,E> graph1,
                                      Graph<V,E> graph2,
                                      Comparator<V> vertexComparator,
                                      Comparator<E> edgeComparator)

    - #### VF2GraphIsomorphismInspector

          public VF2GraphIsomorphismInspector(Graph<V,E> graph1,
                                      Graph<V,E> graph2,
                                      boolean cacheEdges)

    - #### VF2GraphIsomorphismInspector

          public VF2GraphIsomorphismInspector(Graph<V,E> graph1,
                                      Graph<V,E> graph2)

  - ### Method Detail

    - #### getMappings

          public org.jgrapht.alg.isomorphism.VF2GraphMappingIterator<V,E> getMappings()

      Specified by:
        `getMappings` in interface `IsomorphismInspector<V,E>`
      Specified by:
        `getMappings` in class `VF2AbstractIsomorphismInspector<V,E>`

Copyright © 2016. All rights reserved.